#ifndef INCLUDED_TIMER_FILE_WATCHER_H
#define INCLUDED_TIMER_FILE_WATCHER_H

#include <glib-object.h>

G_BEGIN_DECLS

#define TIMER_TYPE_FILE_WATCHER timer_file_watcher_get_type()
G_DECLARE_FINAL_TYPE(TimerFileWatcher, timer_file_watcher, TIMER, FILE_WATCHER, GObject);

TimerFileWatcher *timer_file_watcher_new(const char *path);

const char *timer_file_watcher_get_path(TimerFileWatcher *self);

void timer_file_watcher_pause(TimerFileWatcher *self);

/* update: if true, call update action if file was changed, else just resume */
void timer_file_watcher_resume(TimerFileWatcher *self, gboolean update);

gboolean timer_file_watcher_is_paused(TimerFileWatcher *self);

G_END_DECLS

#endif /* INCLUDED_TIMER_FILE_WATCHER_H */
